/*global $,owl,smoothScroll,WOW*/
$(document).ready(function () {
    "use strict";

    /* ---------------------------------------------
     Loader Screen
    --------------------------------------------- */
    $(window).load(function () {
        $("body").css('overflow-y', 'auto');
        $('#loading').fadeOut(1000);
    });

    $('[data-tool="tooltip"]').tooltip({
        trigger: 'hover',
        animate: true,
        delay: 50,
        container: 'body'
    });

    //for smoth scroll
    smoothScroll.init({
        speed: 800,
        updateURL: false,
        offset: 85
    });

    var wow = new WOW({
        boxClass: 'wow', // animated element css class (default is wow)
        animateClass: 'animated', // animation css class (default is animated)
        mobile: true, // trigger animations on mobile devices (default is true)
        live: true,
        offset: 100,
        scrollContainer: null // optional scroll container selector, otherwise use window
    });
    wow.init();

    /* ---------------------------------------------
     Select2
    --------------------------------------------- */
    $('.select2').select2();

    $('.select-nosearch').select2({
        minimumResultsForSearch: Infinity
    });

    /* ---------------------------------------------
     Sliders
    --------------------------------------------- */

    $(".parteners-slider").owlCarousel({
        navigation: false,
        slideSpeed: 200,
        responsive: true,
        autoPlay: 4000,
        items: 6,
        mouseDrag: true,
        pagination: true,
        stopOnHover: true,
        itemsCustom: [
			[0, 2],
			[450, 2],
			[600, 3],
			[700, 3],
            [800, 4],
			[1000, 4],
			[1200, 6],
			[1400, 6],
			[1600, 8]
        ]
    });

    $(".courses-slider").owlCarousel({
        navigation: true,
        slideSpeed: 200,
        responsive: true,
        autoPlay: 4000,
        items: 4,
        mouseDrag: true,
        pagination: true,
        navigationText: ["<span class='slider-left'><i class='fa fa-arrow-left'></i></span>", "<span class='slider-right'><i class='fa fa-arrow-right'></i></span>"],
        stopOnHover: true,
        itemsCustom: [
			[0, 1],
			[450, 1],
			[600, 2],
			[700, 2],
            [800, 2],
			[1000, 3],
			[1200, 4],
			[1400, 4],
			[1600, 5]
        ]
    });


    /* ---------------------------------------------
     Scrool To Top Button Function
    --------------------------------------------- */
    $(window).scroll(function () {
        if ($(this).scrollTop() > 500) {
            $(".toTop").css("right", "20px");
        } else {
            $(".toTop").css("right", "-60px");
        }
    });

    $(".toTop").click(function () {
        $("html,body").animate({
            scrollTop: 0
        }, 500);
        return false;
    });

    $('.side-nav').mCustomScrollbar({
        autoHideScrollbar: false,
        setTop: 0,
        scrollInertia: 50,
        theme: "light-1"
    });

    $('.head_search .form-group, .open-srch').on("click", function (e) {
        e.stopPropagation();
    });

    //    $('.hero-sec').height(window.innerHeight);

    var bary = $('.top-bar').innerHeight();
    //customize the header
    $(window).scroll(function () {
        if ($(this).scrollTop() > bary) {
            $('.main-head').addClass('sticky');
        } else {
            $('.main-head').removeClass('sticky');
        }
    });

    $(".bottom-content").sticky({
        topSpacing: 0
    });

    $('.open-sidebar').on('click', function () {
        $('.sidebar').toggleClass('opened');
        $('.overlay_gen').fadeIn();
        $('body').addClass('sided');
    });

    $('.overlay_gen').on('click', function () {
        $('.sidebar').toggleClass('opened');
        $('.overlay_gen').fadeOut();
        $('body').removeClass('sided');
    });

});